Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class BaseURLImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl

All Implemented Interfaces:
  javax.portlet.BaseURL

Direct Known Subclasses:
  PortletURLImpl, ResourceURLImpl

    public abstract class BaseURLImpl

extends java.lang.Object
implements javax.portlet.BaseURL

Version:
  $Revision: 630 $
Author:
  Julien Viet

Nested Class Summary
`protected static class` | `BaseURLImpl.InternalContainerURL`

Field Summary
`protected boolean` | `filterable` .
`protected PortletInvocation` | `inv` .
`protected PortletRequestImpl` | `preq` .
`protected int` | `secure` .

Constructor Summary
`protected` | `BaseURLImpl(BaseURLImpl original)`
`protected` | `BaseURLImpl(PortletInvocation invocation, PortletRequestImpl preq, boolean filterable)`

Method Summary
`void` | `addProperty(java.lang.String s, java.lang.String s1)`
`protected abstract BaseURLImpl` | `createClone()`
`protected abstract void` | `filter(javax.portlet.PortletURLGenerationListener listener)`
`protected abstract BaseURLImpl.InternalContainerURL` | `getContainerURL()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getParameterMap()`
`void` | `setParameter(java.lang.String name, java.lang.String value)`
`void` | `setParameter(java.lang.String name, java.lang.String[] values)`
`void` | `setParameters(java.util.Map<java.lang.String,java.lang.String[]> parameters)`
`void` | `setProperty(java.lang.String s, java.lang.String s1)`
`void` | `setSecure(boolean secure)`
`java.lang.String` | `toString()`
`void` | `write(java.io.Writer writer)`
`void` | `write(java.io.Writer writer, boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### inv

    protected final PortletInvocation inv

  .

### preq

    protected final PortletRequestImpl preq

  .

### secure

    protected int secure

  .

### filterable

    protected final boolean filterable

  .

Constructor Detail

### BaseURLImpl

    protected BaseURLImpl(PortletInvocation invocation,
                          PortletRequestImpl preq,
                          boolean filterable)

### BaseURLImpl

    protected BaseURLImpl(BaseURLImpl original)

Method Detail

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.String value)

  Specified by:
    `setParameter` in interface `javax.portlet.BaseURL`
  Throws:
    `java.lang.IllegalArgumentException` - if the name is null

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.String[] values)

  Specified by:
    `setParameter` in interface `javax.portlet.BaseURL`

### setParameters

    public void setParameters(java.util.Map<java.lang.String,java.lang.String[]> parameters)

  Specified by:
    `setParameters` in interface `javax.portlet.BaseURL`

### setSecure

    public void setSecure(boolean secure)
                   throws PortletSecurityException

  Specified by:
    `setSecure` in interface `javax.portlet.BaseURL`
  Throws:
    `PortletSecurityException`

### getParameterMap

    public java.util.Map<java.lang.String,java.lang.String[]> getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.portlet.BaseURL`

### addProperty

    public void addProperty(java.lang.String s,
                            java.lang.String s1)

  Specified by:
    `addProperty` in interface `javax.portlet.BaseURL`

### setProperty

    public void setProperty(java.lang.String s,
                            java.lang.String s1)

  Specified by:
    `setProperty` in interface `javax.portlet.BaseURL`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `javax.portlet.BaseURL`
  Overrides:
    `toString` in class `java.lang.Object`

### write

    public void write(java.io.Writer writer)
               throws java.io.IOException

  Specified by:
    `write` in interface `javax.portlet.BaseURL`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.Writer writer,
                      boolean b)
               throws java.io.IOException

  Specified by:
    `write` in interface `javax.portlet.BaseURL`
  Throws:
    `java.io.IOException`

### filter

    protected abstract void filter(javax.portlet.PortletURLGenerationListener listener)

### createClone

    protected abstract BaseURLImpl createClone()

### getContainerURL

    protected abstract BaseURLImpl.InternalContainerURL getContainerURL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.